﻿@using System.Web;
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    var error = TempData["Error"] as string;
    var success = TempData["Success"] as string;
    var token = TempData["token"] as string;
    var sondage = TempData["sondage"] as AuthnData.Classes.Sondages;
    ViewData["Title"] = "Fermer le Sondage";
}
@if(!string.IsNullOrEmpty(error))
{
     <h2 class="alert-danger" style="padding:20px;">@error</h2>
}
@if(!string.IsNullOrEmpty(success))
{
     <h2 class="alert-success" style="padding:20px;">@success</h2>
}
@if (sondage.isClosed != 1)
{
    <h1>Fermer votre Sondage</h1>

<h2>Attention, une fois fermer aucun nouveau vote ne pourra être effectuer sur votre sondage mais les résultats seront toujours consultable. Voulez-vous continuer ? </h2>
<form asp-controller="Sondage" asp-action="CloseSondage" method="post">
    <input type="hidden" name="token" value="@token" />
    <input type="hidden" name="nothing" value="" />
    <input type="submit" class="btn btn-danger mb-2" value="Oui" />
</form>
<input type="button" class="btn btn-success mb-2" value="Non" />
}